Skip to main content
GET
Get asset download URL

Authorizations

Authorization
string
header
required

Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

Path Parameters

asset_id
string<uuid>
required

The ID of the asset to download

Query Parameters

name
string | null

The name of the asset to download

variant
enum<string>
default:original

File to download. ORIGINAL downloads the asset's original file.

Available options:
original,
stream_proxy,
preview
prefer_custom_thumbnail
boolean
default:false

For the PREVIEW variant, resolve the user-set custom thumbnail when present, falling back to the generated preview.

Response

Successful Response

API response schema for direct asset file download URLs.

id
string<uuid>
required

Resource identifier

url
string
required

Temporary URL for the upload or download

url_expires_at
string<date-time>
required

UTC datetime when the URL expires